Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# cgicc::HTTPHeader Class Reference

Abstract base class for all simple HTTP response headers. More...

`#include <cgicc/HTTPHeader.h>`

Inheritance diagram for cgicc::HTTPHeader::

List of all members.

## Public Methods
Constructors and Destructor
| HTTPHeader (const std::string &data)
| Constructor. More...
| HTTPHeader (const HTTPHeader &header)
| Copy constructor. More...
virtual | ~HTTPHeader ()
| Destructor. More...
Cookie Management
HTTPHeader & | setCookie (const HTTPCookie &cookie)
| Set a cookie to go out with this HTTPResponseHeader. More...
const std::vector< HTTPCookie > & | getCookies () const
| Get a list of all cookies associated with this header. More...
Accessor Method
std::string | getData () const
Subclass Methods
virtual void | render (std::ostream &out) const=0
| Write this HTTPHeader to a stream. More...

## Detailed Description

Abstract base class for all simple HTTP response headers.

Definition at line 50 of file HTTPHeader.h.

## Constructor & Destructor Documentation

cgicc::HTTPHeader::HTTPHeader | ( | const std::string & | data | ) |

  | Constructor. Parameters:
  data | The header data.

cgicc::HTTPHeader::HTTPHeader | ( | const HTTPHeader & | header | ) |

  | Copy constructor. Parameters:
  header | The HTTPHeader to copy.

virtual cgicc::HTTPHeader::~HTTPHeader | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

const std:: vector<HTTPCookie>& cgicc::HTTPHeader::getCookies | ( |  | ) | const`[inline]`

| Get a list of all cookies associated with this header. Returns: All the cookies associated with this header Definition at line 94 of file HTTPHeader.h.

std:: string cgicc::HTTPHeader::getData | ( |  | ) | const`[inline]`

| Get the data contained in this HTTP header. Returns: The data contained in this header. Definition at line 108 of file HTTPHeader.h.

virtual void cgicc::HTTPHeader::render | ( | std::ostream & | out | ) | const`[pure virtual]`

  | Write this HTTPHeader to a stream. Subclasses must implement this function. Parameters:
  out | The ostream to which to write.
Reimplemented from cgicc::MStreamable. Reimplemented in cgicc::HTTPContentHeader, cgicc::HTTPRedirectHeader, and cgicc::HTTPStatusHeader.

HTTPHeader& cgicc::HTTPHeader::setCookie | ( | const HTTPCookie & | cookie | ) | `[inline]`

  | Set a cookie to go out with this HTTPResponseHeader. Parameters:
  cookie | The HTTPCookie to set
Definition at line 86 of file HTTPHeader.h.

The documentation for this class was generated from the following file:

- HTTPHeader.h